Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Class BlankCodeBlock

    java.lang.Object
      dioscuri.module.cpu32.BlankCodeBlock

All Implemented Interfaces:
  CodeBlock, ProtectedModeCodeBlock, RealModeCodeBlock, Virtual8086ModeCodeBlock

    public class BlankCodeBlock

extends java.lang.Object
implements RealModeCodeBlock, ProtectedModeCodeBlock, Virtual8086ModeCodeBlock

Author:
  Bram Lohman, Bart Kiers

Field Summary
`protected int` | `x86Count`
`protected int` | `x86Length`

Constructor Summary
`BlankCodeBlock(int x86Count, int x86Length)`

Method Summary
`int` | `execute(Processor cpu)` Returns the number of equivalent x86 instructions executed.
`java.lang.String` | `getDisplayString()`
`int` | `getX86Count()`
`int` | `getX86Length()`
`boolean` | `handleMemoryRegionChange(int startAddress, int endAddress)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### x86Count

    protected int x86Count

### x86Length

    protected int x86Length

Constructor Detail

### BlankCodeBlock

    public BlankCodeBlock(int x86Count,
                          int x86Length)

Parameters:
  `x86Count` -
  `x86Length` -

Method Detail

### getX86Length

    public int getX86Length()

  Specified by:
    `getX86Length` in interface `CodeBlock`
  Returns:
    -

### getX86Count

    public int getX86Count()

  Specified by:
    `getX86Count` in interface `CodeBlock`
  Returns:
    -

### execute

    public int execute(Processor cpu)

  Description copied from interface: `CodeBlock`
  Returns the number of equivalent x86 instructions executed. Negative results indicate an error

  Specified by:
    `execute` in interface `CodeBlock`
  Returns:
    the number of equivalent x86 instructions executed. Negative results indicate an error

### handleMemoryRegionChange

    public boolean handleMemoryRegionChange(int startAddress,
                                            int endAddress)

  Specified by:
    `handleMemoryRegionChange` in interface `CodeBlock`
  Parameters:
    `startAddress` -
    `endAddress` -
  Returns:
    -

### getDisplayString

    public java.lang.String getDisplayString()

  Specified by:
    `getDisplayString` in interface `CodeBlock`
  Returns:
    -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD